Bug 1830765 - Re-Review Request: python-markups - A wrapper around various text markups
Summary: Re-Review Request: python-markups - A wrapper around various text markups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1830763
Blocks: 1830767 1865376
TreeView+ depends on / blocked
 
Reported: 2020-05-03 17:42 UTC by José Matos
Modified: 2020-09-25 16:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-11 15:14:11 UTC
Type: ---
mail: fedora-review+


Attachments (Terms of Use)

Description José Matos 2020-05-03 17:42:10 UTC
Spec URL: https://jamatos.fedorapeople.org/python-markups/python-markups.spec
SRPM URL: https://jamatos.fedorapeople.org/python-markups/python-markups-3.0.0-1.fc32.src.rpm
Description:
 This module provides a wrapper around various text markup languages. Available
by default are Markdown_, reStructuredText_ and Textile_, but you can easily
add your own markups.

Fedora Account System Username: jamatos

This is a re-review since this package was orphaned last year. It is required to bring retext back to Fedora. At the same time this update over the last supported version requires python-markdown-math that is not yet in Fedora. A review request is already submitted and I will add a Blocks there.

Comment 1 Fabian Affolter 2020-05-19 07:20:41 UTC
Just tow quick comments:

- Are the "Requires:" not picked up automatically by the dependency generator?
- There seems to be a white space in the start of the description. I would also like to suggest to remove the "_" from the description content.

Comment 2 Robert-André Mauchin 🐧 2020-06-23 15:59:41 UTC
 - Requires are autodetected now.

 + Use pypi_source:

Source0:        %{pypi_source Markups}

- cleanup the description as mentioned by Fabian Affolter




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/python-markups
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 31 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/python-markups/review-
     python-markups/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-markups
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-markups-3.0.0-1.fc33.noarch.rpm
          python-markups-doc-3.0.0-1.fc33.noarch.rpm
          python-markups-3.0.0-1.fc33.src.rpm
python3-markups.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructuring
python-markups-doc.noarch: W: summary-not-capitalized C markups documentation
python-markups.src: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructuring
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 3 Fabian Affolter 2020-07-05 08:41:57 UTC
Can you please provide the updated files? Thanks

Comment 4 José Matos 2020-07-06 17:57:10 UTC
I am (truly) sorry for the delay.

Here it comes the revised version:

https://jamatos.fedorapeople.org/python-markups/python-markups.spec
https://jamatos.fedorapeople.org/python-markups/python-markups-3.0.0-2.fc32.src.rpm

The changes are the ones you pointed out.

* Mon Jul  6 2020 José Matos <jamatos> - 3.0.0-2
- Remove manual Requires (they are autodetected)
- Clean the Description text

Comment 5 José Matos 2020-07-23 16:07:38 UTC
Ping to Fabian.

retext has already been imported but it needs this package to be built.

Could you take a look to the updated version. I think that I have addressed your and Robert-André suggestions.

Regards.

Comment 6 José Matos 2020-08-05 10:17:42 UTC
Since I had imported retext the mass rebuild got it and now the package is marked as fails to build from source.

Comment 7 Fabian Affolter 2020-09-01 12:30:55 UTC
Comments were addressed.

Package APPROVED



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/python-markups
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 31 files have unknown license. Detailed output of
     licensecheck in /home/fab/Documents/repos/reviews/1830765-python-
     markups/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-markups
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-markups-3.0.0-2.fc34.noarch.rpm
          python-markups-doc-3.0.0-2.fc34.noarch.rpm
          python-markups-3.0.0-2.fc34.src.rpm
python3-markups.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructuring
python-markups-doc.noarch: W: summary-not-capitalized C markups documentation
python-markups.src: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructuring
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
python3-markups.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructuring
python3-markups.noarch: W: invalid-url URL: https://github.com/retext-project/pymarkups <urlopen error [Errno -3] Temporary failure in name resolution>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
python-markups-doc.noarch: W: summary-not-capitalized C markups documentation
python-markups-doc.noarch: W: invalid-url URL: https://github.com/retext-project/pymarkups <urlopen error [Errno -3] Temporary failure in name resolution>
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://files.pythonhosted.org/packages/source/M/Markups/Markups-3.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1ea19458dfca6a4562044e701aa8698089a0c659fc535689ed260f89a04f8d39
  CHECKSUM(SHA256) upstream package : 1ea19458dfca6a4562044e701aa8698089a0c659fc535689ed260f89a04f8d39


Requires
--------
python3-markups (rpmlib, GLIBC filtered):
    python(abi)
    python3.9dist(python-markdown-math)

python-markups-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-markups:
    python-markups
    python3-markups
    python3.9-markups
    python3.9dist(markups)
    python3dist(markups)

python-markups-doc:
    python-markups-doc



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1830765
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: PHP, Haskell, SugarActivity, R, fonts, Ocaml, Java, C/C++, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 8 José Matos 2020-09-02 14:35:41 UTC
Thank you.
Importing it now and proceeding with retext. :-)

Comment 9 Fedora Update System 2020-09-02 16:55:29 UTC
FEDORA-2020-8216dd2d96 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8216dd2d96

Comment 10 Fedora Update System 2020-09-02 17:00:42 UTC
FEDORA-2020-dcc8e94005 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcc8e94005

Comment 11 Fedora Update System 2020-09-02 17:03:38 UTC
FEDORA-2020-acbbb269ea has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-acbbb269ea

Comment 12 Fedora Update System 2020-09-03 16:30:32 UTC
FEDORA-2020-acbbb269ea has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-acbbb269ea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-acbbb269ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-09-03 17:12:47 UTC
FEDORA-2020-dcc8e94005 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dcc8e94005`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcc8e94005

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-09-03 18:09:06 UTC
FEDORA-2020-8216dd2d96 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8216dd2d96`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8216dd2d96

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-09-11 15:14:11 UTC
FEDORA-2020-acbbb269ea has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-09-11 15:18:13 UTC
FEDORA-2020-dcc8e94005 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-09-25 16:43:12 UTC
FEDORA-2020-8216dd2d96 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.